Debian Bug report logs - #488249
gnome-system-tools: unable to create a group

version graph

Package: gnome-system-tools; Maintainer for gnome-system-tools is Jose Carlos Garcia Sogo <jsogo@debian.org>; Source for gnome-system-tools is src:gnome-system-tools.

Reported by: James Westby <jw+debian@jameswestby.net>

Date: Fri, 27 Jun 2008 11:00:05 UTC

Severity: normal

Tags: patch

Found in versions gnome-system-tools/2.22.0-1, gnome-system-tools/2.22.0-3

Fixed in version gnome-system-tools/2.22.1-5

Done: Josselin Mouette <joss@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Jose Carlos Garcia Sogo <jsogo@debian.org>:
Bug#488249; Package gnome-system-tools. Full text and rfc822 format available.

Acknowledgement sent to James Westby <jw+debian@jameswestby.net>:
New Bug report received and forwarded. Copy sent to Jose Carlos Garcia Sogo <jsogo@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: James Westby <jw+debian@jameswestby.net>
To: submit@bugs.debian.org
Subject: gnome-system-tools: unable to create a group
Date: Fri, 27 Jun 2008 11:59:14 +0100
[Message part 1 (text/plain, inline)]
Package: gnome-system-tools
Version: 2.22.0-1
Severity: normal
Tags: patch
User: ubuntu-devel@lists.ubuntu.com
Usertags: origin-ubuntu intrepid ubuntu-patch
Forwarded: http://bugzilla.gnome.org/show_bug.cgi?id=529228

Hi,

gnome-system-tools is unable to create groups. for details please
see

  http://bugzilla.gnome.org/show_bug.cgi?id=529228

and

  https://bugs.edge.launchpad.net/gst/+bug/205144

Attached is a patch to fix this issue. Please consider applying it.

Thanks,

James

[85_users_fix_add_group.patch (text/x-patch, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Jose Carlos Garcia Sogo <jsogo@debian.org>:
Bug#488249; Package gnome-system-tools. Full text and rfc822 format available.

Acknowledgement sent to Emilio Pozuelo Monfort <pochu@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to Jose Carlos Garcia Sogo <jsogo@debian.org>. Full text and rfc822 format available.

Message #10 received at 488249@bugs.debian.org (full text, mbox):

From: Emilio Pozuelo Monfort <pochu@ubuntu.com>
To: James Westby <jw+debian@jameswestby.net>, 488249@bugs.debian.org
Subject: Re: Bug#488249: gnome-system-tools: unable to create a group
Date: Tue, 08 Jul 2008 18:20:45 +0200
[Message part 1 (text/plain, inline)]
James Westby wrote:
> gnome-system-tools is unable to create groups. for details please
> see

I can't reproduce it in current unstable. It may be that this only affects when
gnome-system-tools is built with policykit support, but Debian doesn't do that.

Of course if you can get Carlos to review and commit this upstream, that would
be the best option.

Cheers,
Emilio

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Jose Carlos Garcia Sogo <jsogo@debian.org>:
Bug#488249; Package gnome-system-tools. Full text and rfc822 format available.

Acknowledgement sent to James Westby <jw+debian@jameswestby.net>:
Extra info received and forwarded to list. Copy sent to Jose Carlos Garcia Sogo <jsogo@debian.org>. Full text and rfc822 format available.

Message #15 received at 488249@bugs.debian.org (full text, mbox):

From: James Westby <jw+debian@jameswestby.net>
To: Emilio Pozuelo Monfort <pochu@ubuntu.com>
Cc: 488249@bugs.debian.org
Subject: Re: Bug#488249: gnome-system-tools: unable to create a group
Date: Tue, 08 Jul 2008 17:29:01 +0100
On Tue, 2008-07-08 at 18:20 +0200, Emilio Pozuelo Monfort wrote:
> James Westby wrote:
> > gnome-system-tools is unable to create groups. for details please
> > see
> 
> I can't reproduce it in current unstable. It may be that this only affects when
> gnome-system-tools is built with policykit support, but Debian doesn't do that.

Hi,

This seems to be a logic error, so I'm not sure why it doesn't
show up. However, if it's not a problem you can obviously
just close the bug.

Thanks,

James





Information forwarded to debian-bugs-dist@lists.debian.org, maltacastro+debian@gmail.com, Jose Carlos Garcia Sogo <jsogo@debian.org>:
Bug#488249; Package gnome-system-tools. (Sun, 23 Nov 2008 15:51:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gabriel Castro <maltacastro+debian@gmail.com>:
Extra info received and forwarded to list. Copy sent to maltacastro+debian@gmail.com, Jose Carlos Garcia Sogo <jsogo@debian.org>. (Sun, 23 Nov 2008 15:51:08 GMT) Full text and rfc822 format available.

Message #20 received at 488249@bugs.debian.org (full text, mbox):

From: Gabriel Castro <maltacastro+debian@gmail.com>
To: Debian Bug Tracking System <488249@bugs.debian.org>
Subject: gnome-system-tools: This bug affects Lenny
Date: Sun, 23 Nov 2008 13:49:06 -0200
Package: gnome-system-tools
Version: 2.22.0-3
Followup-For: Bug #488249


This bug affects me in the way it is described. So it affects Debian.

-- System Information:
Debian Release: lenny/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.26-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=pt_BR.UTF-8, LC_CTYPE=pt_BR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages gnome-system-tools depends on:
ii  gconf2                        2.22.0-1   GNOME configuration database syste
ii  gksu                          2.0.0-6    graphical frontend to su
ii  libatk1.0-0                   1.22.0-1   The ATK accessibility toolkit
ii  libc6                         2.7-16     GNU C Library: Shared libraries
ii  libcairo2                     1.6.4-6.1  The Cairo 2D vector graphics libra
ii  libdbus-1-3                   1.2.1-4    simple interprocess messaging syst
ii  libgconf2-4                   2.22.0-1   GNOME configuration database syste
ii  libglib2.0-0                  2.16.6-1   The GLib library of C routines
ii  libgnomevfs2-0                1:2.22.0-5 GNOME Virtual File System (runtime
ii  libgtk2.0-0                   2.12.11-4  The GTK+ graphical user interface 
ii  libnautilus-extension1        2.20.0-7   libraries for nautilus components 
ii  liboobs-1-4                   2.22.0-1   GObject based interface to system-
ii  libpango1.0-0                 1.20.5-3   Layout and rendering of internatio
ii  perl                          5.10.0-17  Larry Wall's Practical Extraction 
ii  system-tools-backends         2.6.0-2    System Tools to manage computer co

Versions of packages gnome-system-tools recommends:
ii  gnome-control-center        1:2.22.2.1-2 utilities to configure the GNOME d

Versions of packages gnome-system-tools suggests:
pn  ntp                           <none>     (no description available)
pn  samba-common                  <none>     (no description available)
pn  wvdial                        <none>     (no description available)

-- no debconf information




Reply sent to Josselin Mouette <joss@debian.org>:
You have taken responsibility. (Tue, 09 Jun 2009 16:36:05 GMT) Full text and rfc822 format available.

Notification sent to James Westby <jw+debian@jameswestby.net>:
Bug acknowledged by developer. (Tue, 09 Jun 2009 16:36:06 GMT) Full text and rfc822 format available.

Message #25 received at 488249-close@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: 488249-close@bugs.debian.org
Subject: Bug#488249: fixed in gnome-system-tools 2.22.1-5
Date: Tue, 09 Jun 2009 16:17:13 +0000
Source: gnome-system-tools
Source-Version: 2.22.1-5

We believe that the bug you reported is fixed in the latest version of
gnome-system-tools, which is due to be installed in the Debian FTP archive:

gnome-network-admin_2.22.1-5_amd64.deb
  to pool/main/g/gnome-system-tools/gnome-network-admin_2.22.1-5_amd64.deb
gnome-system-tools_2.22.1-5.diff.gz
  to pool/main/g/gnome-system-tools/gnome-system-tools_2.22.1-5.diff.gz
gnome-system-tools_2.22.1-5.dsc
  to pool/main/g/gnome-system-tools/gnome-system-tools_2.22.1-5.dsc
gnome-system-tools_2.22.1-5_amd64.deb
  to pool/main/g/gnome-system-tools/gnome-system-tools_2.22.1-5_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 488249@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Josselin Mouette <joss@debian.org> (supplier of updated gnome-system-tools package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 09 Jun 2009 16:43:21 +0200
Source: gnome-system-tools
Binary: gnome-system-tools gnome-network-admin
Architecture: source amd64
Version: 2.22.1-5
Distribution: unstable
Urgency: low
Maintainer: Jose Carlos Garcia Sogo <jsogo@debian.org>
Changed-By: Josselin Mouette <joss@debian.org>
Description: 
 gnome-network-admin - GNOME Network Administration Tool
 gnome-system-tools - Cross-platform configuration utilities for GNOME
Closes: 460691 488249 488252
Changes: 
 gnome-system-tools (2.22.1-5) unstable; urgency=low
 .
   * Revert 2.22.1-4 change with a brown paper bag, it’s useless since
     policykit depends on consolekit.
   * 26_users_home_dir.patch: patch from Ubuntu to allow changing root
     propertiew without making /home/root the new home directory.
     Closes: #488252.
   * gnome-network-admin conflicts with network-manager-gnome.
     Closes: #460691.
   * 85_users_fix_add_group.patch: patch from Ubuntu to always allow to
     create groups. Closes: #488249.
Checksums-Sha1: 
 ed8158bc654172aba2de97f41bb6d7cb423f1778 1693 gnome-system-tools_2.22.1-5.dsc
 9b1bbc808c2641a575f4bbfa72222e3d4bb596c9 27929 gnome-system-tools_2.22.1-5.diff.gz
 e9077e2747b9c029ee697d282150047d374e9f84 4241680 gnome-system-tools_2.22.1-5_amd64.deb
 0319fd171578be2a65658461c0c94beeb4d07ecc 366236 gnome-network-admin_2.22.1-5_amd64.deb
Checksums-Sha256: 
 c4daefa3e96db87988b8eb2b8a9f39723c95ff4d9342b640c571bda35e8af329 1693 gnome-system-tools_2.22.1-5.dsc
 c11434edf0c5fd02cda1adbc7379da09cc5dfe88167253419b75c9a70a76783f 27929 gnome-system-tools_2.22.1-5.diff.gz
 e771df072c8eac1fb609d8d2bb2cea1cbc300d4382821e2c1d3c21cbaf878b12 4241680 gnome-system-tools_2.22.1-5_amd64.deb
 4f5aa8f456449eb6f35cf1b49480f51fbb4f247b00ae706240a5c9bb132c5349 366236 gnome-network-admin_2.22.1-5_amd64.deb
Files: 
 d1347c1fe236a2060462ce634285367e 1693 gnome optional gnome-system-tools_2.22.1-5.dsc
 95fe512ccda058354a043da8d46b5240 27929 gnome optional gnome-system-tools_2.22.1-5.diff.gz
 3c5953fedcc6345afed9e4e52258eb8c 4241680 gnome optional gnome-system-tools_2.22.1-5_amd64.deb
 9c5d43cc8c665ff5b4757253a89041e4 366236 gnome optional gnome-network-admin_2.22.1-5_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iD8DBQFKLofsrSla4ddfhTMRAruCAJ9o7sqHWchYI6uDHFjTqlwnsvmH7wCeJx5d
BPrlTksvFJG48Xm1bjYyOIk=
=NUEz
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 18 Jul 2009 07:32:39 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 22:06:33 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.